# MSP::CCS::LocalCartesian Class Reference

`#include <LocalCartesian.h>`

Inheritance diagram for MSP::CCS::LocalCartesian:

List of all members.

## Public Member Functions

| LocalCartesian (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double originLongitude, double originLatitude, double originHeight, double orientation)
| LocalCartesian (const LocalCartesian &lc)
| ~LocalCartesian (void)
LocalCartesian & | operator= (const LocalCartesian &lc)
LocalCartesianParameters * | getParameters () const
MSP::CCS::CartesianCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::CartesianCoordinates *cartesianCoordinates)
MSP::CCS::CartesianCoordinates * | convertFromGeocentric (const MSP::CCS::CartesianCoordinates *cartesianCoordinates)
MSP::CCS::CartesianCoordinates * | convertToGeocentric (const MSP::CCS::CartesianCoordinates *cartesianCoordinates)

## Detailed Description

Definition at line 95 of file LocalCartesian.h.

## Constructor & Destructor Documentation

LocalCartesian::LocalCartesian | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | originLongitude,
|  | double | originLatitude,
|  | double | originHeight,
|  | double | orientation |
| ) |  |  |

Definition at line 120 of file LocalCartesian.cpp.

LocalCartesian::LocalCartesian | ( | const LocalCartesian & | lc | ) |

Definition at line 216 of file LocalCartesian.cpp.

LocalCartesian::~LocalCartesian | ( | void |  | ) |

Definition at line 240 of file LocalCartesian.cpp.

## Member Function Documentation

MSP::CCS::CartesianCoordinates * LocalCartesian::convertFromGeocentric | ( | const MSP::CCS::CartesianCoordinates * | cartesianCoordinates | ) |

Definition at line 370 of file LocalCartesian.cpp.

MSP::CCS::CartesianCoordinates * LocalCartesian::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 295 of file LocalCartesian.cpp.

MSP::CCS::CartesianCoordinates * LocalCartesian::convertToGeocentric | ( | const MSP::CCS::CartesianCoordinates * | cartesianCoordinates | ) |

Definition at line 426 of file LocalCartesian.cpp.

MSP::CCS::GeodeticCoordinates * LocalCartesian::convertToGeodetic | ( | MSP::CCS::CartesianCoordinates * | cartesianCoordinates | ) |

Definition at line 338 of file LocalCartesian.cpp.

LocalCartesianParameters * LocalCartesian::getParameters | ( |  | ) | const

Definition at line 276 of file LocalCartesian.cpp.

LocalCartesian & LocalCartesian::operator= | ( | const LocalCartesian & | lc | ) |

Definition at line 247 of file LocalCartesian.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/loccart/LocalCartesian.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/loccart/LocalCartesian.cpp